summaryrefslogtreecommitdiff
path: root/include/mrc.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-10-22 12:31:55 +0100
committerLeah Rowe <leah@libreboot.org>2023-10-22 12:34:45 +0100
commite86af9a60a6165188ec069ea519eeadb1e2ad3cc (patch)
treec242cf0d7f952a3566427c38fb7765b7a359b334 /include/mrc.sh
parent23958f4eae4ecf23c2048f5df20221e94165fff6 (diff)
20231021hotfix: replace x_ with err in some places20231021fix
keymaps weren't being set in keymay.cfg of cbfs, due to use of x_ in the rom script, and x_ doesn't handle quotes or spaces in arguments well. i'm going to remove use of x_ and xx_ (it's in my todo), for next release. for now, hot patch the release. i've gone through and replaced use of x_ with || err, in some places. not just the keymap.cfg command, but others too. in case there are more issues we missed. this commit is being tagged "20231021fix" and i'm using this tag to re-build the 20231021 release. i'll just replace the tarballs in rsync and add errata to the news page announcing the release. all i did was break peoples umlauts, i didn't brick their machines fortunately! very minor bug. anyway, x_/xx_ is a great idea, but sh isn't really designed for that style of programming. i'll go back to using just || err in the next release. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/mrc.sh')
-rwxr-xr-xinclude/mrc.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/include/mrc.sh b/include/mrc.sh
index 3c6ac24e..e57026a4 100755
--- a/include/mrc.sh
+++ b/include/mrc.sh
@@ -22,8 +22,8 @@ extract_mrc()
extract_coreboot
)
- x_ "${cbfstool}" "${appdir}/"coreboot-*.bin extract -n mrc.bin \
- -f "${_dest}" -r RO_SECTION
+ "${cbfstool}" "${appdir}/"coreboot-*.bin extract -n mrc.bin \
+ -f "${_dest}" -r RO_SECTION || err "extract_mrc: cbfstool ${_dest}"
}
extract_partition()
@@ -40,8 +40,9 @@ extract_partition()
START=$(( $( echo ${ROOTP} | cut -f2 -d\ | tr -d "B" ) ))
SIZE=$(( $( echo ${ROOTP} | cut -f4 -d\ | tr -d "B" ) ))
- x_ dd if="${FILE}" of="${ROOTFS}" bs=${_bs} \
- skip=$(( ${START} / ${_bs} )) count=$(( ${SIZE} / ${_bs} ))
+ dd if="${FILE}" of="${ROOTFS}" bs=${_bs} \
+ skip=$(( ${START} / ${_bs} )) count=$(( ${SIZE} / ${_bs} )) || \
+ err "extract_partition, dd ${FILE}, ${ROOTFS}"
}
extract_shellball()
@@ -58,7 +59,7 @@ extract_coreboot()
printf "Extracting coreboot image\n"
[ -f "${SHELLBALL}" ] || \
err "extract_coreboot: shellball missing in google cros image"
- x_ sh "${SHELLBALL}" --unpack "${_unpacked}"
+ sh "${SHELLBALL}" --unpack "${_unpacked}" || err "shellball, ${SHELLBALL}"
# TODO: audit the f* out of that shellball, for each mrc version.
# it has to be updated for each mrc update. we should ideally
@@ -70,5 +71,6 @@ extract_coreboot()
_version=$( cat "${_unpacked}/VERSION" | grep BIOS\ version: | \
cut -f2 -d: | tr -d \ )
- x_ cp "${_unpacked}/bios.bin" "coreboot-${_version}.bin"
+ cp "${_unpacked}/bios.bin" "coreboot-${_version}.bin" || \
+ err "!cp unpacked, ${_unpacked}/bios.bin, coreboot-${_version}.rom"
}